Package ru.bitel.bgbilling.kernel.contract.label.common.bean

# Class ContractLabelItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.label.common.bean.ContractLabelItem

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ContractLabelItem>`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<ContractLabelItem>`

    public class ContractLabelItem
    extends IdTitle
    implements TreeNode<ContractLabelItem>, java.lang.Comparable<ContractLabelItem>

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractLabelItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addChild​(ContractLabelItem child)` |
  `int` | `compareTo​(ContractLabelItem o)` |
  `java.util.List<ContractLabelItem>` | `getChildren()` |
  `java.lang.String` | `getComment()` |
  `ContractLabelType` | `getContractLabelType()` |
  `int` | `getContractLinkCount()` |
  `int` | `getParentId()` |
  `int` | `getSortPosition()` |
  `boolean` | `isEmpty()` |
  `boolean` | `isForbiddenEdit()` |
  `boolean` | `isSelected()` |
  `void` | `removeChild​(ContractLabelItem child)` |
  `void` | `setChildren​(java.util.List<ContractLabelItem> children)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractLabelType​(ContractLabelType contractLabelType)` |
  `void` | `setContractLinkCount​(int contractLinkCount)` |
  `void` | `setForbiddenEdit​(boolean forbiddenEdit)` |
  `void` | `setParentId​(int parentId)` |
  `void` | `setSelected​(boolean selected)` |
  `void` | `setSortPosition​(int sortPosition)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractLabelItem

    public ContractLabelItem()

- ## Method Details

  - ### getParentId

    public int getParentId()

  - ### removeChild

    public void removeChild​(ContractLabelItem child)

  - ### isEmpty

    public boolean isEmpty()

  - ### addChild

    public void addChild​(ContractLabelItem child)

  - ### setChildren

    public void setChildren​(java.util.List<ContractLabelItem> children)

  - ### setParentId

    public void setParentId​(int parentId)

  - ### getContractLinkCount

    public int getContractLinkCount()

  - ### setContractLinkCount

    public void setContractLinkCount​(int contractLinkCount)

  - ### isSelected

    public boolean isSelected()

  - ### setSelected

    public void setSelected​(boolean selected)

  - ### getContractLabelType

    public ContractLabelType getContractLabelType()

  - ### setContractLabelType

    public void setContractLabelType​(ContractLabelType contractLabelType)

  - ### getChildren

    public java.util.List<ContractLabelItem> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<ContractLabelItem>`

  - ### getSortPosition

    public int getSortPosition()

  - ### setSortPosition

    public void setSortPosition​(int sortPosition)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isForbiddenEdit

    public boolean isForbiddenEdit()

  - ### setForbiddenEdit

    public void setForbiddenEdit​(boolean forbiddenEdit)

  - ### compareTo

    public int compareTo​(ContractLabelItem o)
    Specified by:
      `compareTo` in interface `java.lang.Comparable<ContractLabelItem>`